/*	Copyright (C) 2003-2008 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

#ifndef __architecture_GroupExtract_h__
#define __architecture_GroupExtract_h__

#include "fe/signal.h"
#include <datatool/datatool.h>

namespace fe
{

class GroupExtract :
	virtual public HandlerI,
	virtual public Config,
	public Initialize<GroupExtract>
{
	public:
				GroupExtract(void);
virtual			~GroupExtract(void);

virtual	void	initialize(void);

		void	addRequiredAttribute(const String &a_attr);

				// AS HandlerI
virtual	void	handle(Record& r_sig);

	private:
		std::vector<String>		m_attrNames;

};

} /* namespace */

#endif /* __architecture_GroupExtract_h__ */

