import sys
import os
forge = sys.modules["forge"]

def setup(module):
	deplibs = forge.corelibs + [
		'feSignalLib',
		'fexMathLib',
		'fexDataToolLib' ]

	tests = [	'xArchitecture',
				'xCountedPool' ]

	for t in tests:
		exe = module.Exe(t)
		exe.linkmap = { "gfxlibs": forge.gfxlibs }

		forge.deps([t + "Exe"], deplibs)

	plugin_path = os.path.join(module.modPath, 'plugin')
	arch_rg = os.path.join(module.modPath, 'architecture.rg')
	#forge.tests += [
	#	("xArchitecture.exe",	"count=100 app=%s architecture=%s" % (plugin_path, arch_rg),
	#		None,	None),
	#	("xCountedPool.exe",	"",							None,	None) ]

