/*	Copyright (C) 2003-2008 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

#include "native.pmh"
#include "platform/dlCore.cc"

extern "C"
{

FE_DL_EXPORT void ListDependencies(fe::List<fe::String*>& list)
{
	list.append(new fe::String("fexWindowDL"));
}

FE_DL_EXPORT fe::Library* CreateLibrary(fe::sp<fe::Master>)
{
	fe::Library *pLibrary = new fe::Library();

	pLibrary->addSingleton<fe::TypeNative>("Component.TypeNative.fe");

	pLibrary->addSingleton<fe::NativeEventContext>(
			"EventContextI.NativeEventContext.fe");

	pLibrary->add<fe::NativeWindow>("WindowI.NativeWindow.fe");

	return pLibrary;
}

}
