import sys
forge = sys.modules["forge"]

def setup(module):
	srclist = [	"core.pmh",
				"assertCore",
				"Counted",
				"List",
				"Instance",
				"Peeker",
				"Poison",
				"PoolAllocator",
				"Profiler",
				"Stream",
				"Tracker",
				"Type",
				"TypeMaster" ]

	deplibs = [	"fePlatformLib",
				"feMemoryLib" ]

	lib = module.DLL("feCore",srclist)

	if forge.fe_os == 'FE_WIN32':
		deplibs += [ "feImportMemoryLib" ]
		forge.deps( ["feCoreLib"], deplibs )

	if forge.fe_os == 'FE_OSX':
		deplibs = [	"fePlatformLib", "feMemoryLib" ]
		forge.deps( ["feCoreLib"], deplibs )

	module.Module('test')
