/*	Copyright (C) 2003-2008 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

#include "fe/core.h"

int main(void)
{
	fe::UnitTest unitTest;

#if 0
	fe::ReMutex mutex;
	{
		fe::Guard lock(mutex);
	}
#endif

	boost::recursive_mutex mutex;
	{
		boost::recursive_mutex::scoped_lock lock(mutex);
	}

	unitTest(true,"guard");

	return unitTest.failures();
}

