/*	Copyright (C) 2003-2008 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

#ifndef __data_h__
#define __data_h__

#include "fe/plugin.h"

#ifdef MODULE_data
#define FE_DATA_PORT FE_DL_EXPORT
#else
#define FE_DATA_PORT FE_DL_IMPORT
#endif

typedef UWORD	Offset;

#include "data/Attribute.h"
#include "data/Depend.h"
#include "data/Layout.h"
#include "data/StoreI.h"
#include "data/WatcherI.h"
#include "data/PopulateI.h"
#include "data/RecordFactoryI.h"
#include "data/Scope.h"
#include "data/Record.h"
#include "data/WeakRecord.h"
#include "data/RecordCookbook.h"
#include "data/RecordArray.h"
#include "data/Accessor.h"
#include "data/PathAccessor.h"
#include "data/RecordIndex.h"
#include "data/RecordGroup.h"
#include "data/RecordOp.h"
#include "data/AccessorSet.h"
#include "data/SegmentStore.h"
#include "data/AccessorSets.h"
#include "data/Reader.h"
#include "data/Scanner.h"
#include "data/Writer.h"
#include "data/BinaryReader.h"
#include "data/AsciiReader.h"
#include "data/BinaryWriter.h"
#include "data/AsciiWriter.h"
#include "data/Stream.h"

#endif /* __data_h__ */
