
/*	Copyright (C) 2003-2008 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

#include "signal.pmh"

namespace fe
{

Dispatch::Dispatch(void)
{
}

Dispatch::~Dispatch(void)
{
}

SignatureMap &Dispatch::signatures(void)
{
	return m_dispatchSignatures;
}

bool Dispatch::checkedCall(const String &a_name, std::vector<Instance> a_argv)
{
	if(!signatures()[a_name].match(a_argv))
	{
		return false;
	}

	return call(a_name, a_argv);
}

} /* namespace */

