/*	Copyright (C) 2003-2008 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

#include "signal.pmh"
#include "platform/dlCore.cc"

extern "C"
{

FE_DL_EXPORT void ListDependencies(fe::List<fe::String*>& list)
{
	list.append(new fe::String("feDataDL"));
}

FE_DL_EXPORT fe::Library *CreateLibrary(fe::sp<fe::Master>)
{
	fe::Library *pLibrary = new fe::Library();
	pLibrary->add<fe::ChainSignaler>("SignalerI.Chain.fe");
	pLibrary->add<fe::LogHandler>("HandlerI.Log.fe");
	pLibrary->add<fe::PushSequencer>("SequencerI.Push.fe");
	return pLibrary;
}

}

