import sys
import os
forge = sys.modules["forge"]

def setup(module):

	srcList = [	"architecture.pmh",
				"Annotate",
				"Assign",
				"Fork",
				"GroupExtract",
				"PaletteMap",
				"architectureDL" ]

	dll = module.DLL( "fexArchitectureDL", srcList )

	deplibs = forge.corelibs+ [
				"feSignalLib",
				"fexDataToolLib"
				]

	forge.deps( ["fexArchitectureDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",		"fexArchitectureDL",			None,		None) ]

	module.Module( 'test' )
