import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"draw.pmh",
				"DrawCached",
				"DrawCommon",
				"DrawOpenGL",
				"DrawThreaded",
				"ViewOpenGL",
				"drawDL" ]

	dll = module.DLL( "fexDrawOpenGLDL", srcList )

	dll.linkmap = { "gfxlibs": forge.gfxlibs }

	deplibs = forge.corelibs+ [
				"feSignalLib",
				"fexDataToolDLLib" ]

	forge.deps( ["fexDrawOpenGLDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",		"fexDrawOpenGLDL",				None,		None) ]

#	module.Module('test')
