import sys
forge = sys.modules["forge"]

def setup(module):

	deplibs =	forge.corelibs+ [
				"feSignalLib",
				"fexDataToolDLLib",
				"fexWindowDLLib",
				"fexMathLib" ]

	tests = [	'xMatrixPower',
				'xMatrixSqrt',
				'xSparseArray',
				'xSparseMatrix',
				'xSpline',
				'xSpringSlide',
				'xTurtle',
				'xWiggle' ]

	for t in tests:
		module.Exe(t)
		forge.deps([t + "Exe"], deplibs)

	forge.tests += [
		("xMatrixPower.exe",	"",							None,		None),
		("xMatrixSqrt.exe",		"",							None,		None),
		("xSparseArray.exe",	"",							None,		None),
		("xSparseMatrix.exe",	"",							None,		None),
		("xSpline.exe",			"",							None,		None),
		("xSpringSlide.exe",	"100",						None,		None),
		("xTurtle.exe",			"100",						None,		None),
		("xWiggle.exe",			"10",						None,		None) ]
