import sys
forge = sys.modules["forge"]

def setup(module):

	deplibs =	forge.corelibs + [
				"fexDataToolDLLib",
				'fexViewerDLLib',
				'fexMathLib',
				'fexWindowDLLib' ]

	tests = [	'xViewer' ]

	for t in tests:
		exe = module.Exe(t)
		exe.linkmap = { "gfxlibs": forge.gfxlibs }

		forge.deps([t + "Exe"], deplibs)

	forge.tests += [
		("xViewer.exe",		"10",								None,	None) ]
