import sys
forge = sys.modules["forge"]

def setup(module):

	srcList = [	"DrawPlant",
				"PlantSketch",
				"SimPlant",
				"Tree.cc",
				"vegetationDL" ]

	dll = module.DLL( "fexVegetationDL", srcList )

	deplibs = forge.corelibs+ [
				"feSignalLib",
				"fexDataToolDLLib",
				"fexMathLib"
				]

	forge.deps( ["fexVegetationDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",		"fexVegetationDL",				None,		None) ]

	module.Module( 'test' )
