import sys
forge = sys.modules["forge"]

def setup(module):
	deplibs = forge.corelibs+ [
			"fexDataToolDLLib",
			"fexVegetationDLLib",
			"fexWindowDLLib" ]

	tests = [	'xTree' ]

	for t in tests:
		module.Exe(t)
		forge.deps([t + "Exe"], deplibs)

	forge.tests += [
		("xTree.exe",			"Aspen_Quaking 10",		None,		None),
		("xTree.exe",			"Bamboo 10",			None,		None),
		("xTree.exe",			"Elm_Rock 10",			None,		None),
		("xTree.exe",			"Fir_Balsam 10",		None,		None),
		("xTree.exe",			"Pine_Jack 10",			None,		None),
		("xTree.exe",			"Pine_Longleaf 10",		None,		None),
		("xTree.exe",			"Poplar_Lombardy 10",	None,		None),
		("xTree.exe",			"Tupelo_Black 10",		None,		None),
		("xTree.exe",			"crude 10",				None,		None),
		("xTree.exe",			"dense 10",				None,		None),
		("xTree.exe",			"mop 10",				None,		None),
		("xTree.exe",			"tower 10",				None,		None),
		("xTree.exe",			"umbrella 10",			None,		None)]
