/*	Copyright (C) 2003-2008 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

#ifndef __core_assertCore_h__
#define __core_assertCore_h__

namespace fe
{

FE_DL_EXPORT void assertCore(sp<TypeMaster> spTypeMaster);

class FE_DL_EXPORT InfoI32 : public BaseType::Info
{
	public:
virtual	IWORD	output(std::ostream &ostrm, void *instance, t_serialMode mode);
virtual	void	input(std::istream &istrm, void *instance, t_serialMode mode);
virtual	String	print(void *instance);
virtual	void	construct(void *instance);
virtual	IWORD	iosize(void);
};

class FE_DL_EXPORT InfoIWORD : public BaseType::Info
{
	public:
virtual	IWORD	output(std::ostream &ostrm, void *instance, t_serialMode mode);
virtual	void	input(std::istream &istrm, void *instance, t_serialMode mode);
virtual	String	print(void *instance);
virtual	void	construct(void *instance);
virtual	IWORD	iosize(void);
};

class FE_DL_EXPORT InfoF32 : public BaseType::Info
{
	public:
virtual	IWORD	output(std::ostream &ostrm, void *instance, t_serialMode mode);
virtual	void	input(std::istream &istrm, void *instance, t_serialMode mode);
virtual	String	print(void *instance);
virtual	void	construct(void *instance);
virtual	IWORD	iosize(void);
};

class FE_DL_EXPORT InfoF64 : public BaseType::Info
{
	public:
virtual	IWORD	output(std::ostream &ostrm, void *instance, t_serialMode mode);
virtual	void	input(std::istream &istrm, void *instance, t_serialMode mode);
virtual	String	print(void *instance);
virtual	void	construct(void *instance);
virtual	IWORD	iosize(void);
};

class FE_DL_EXPORT InfoBool : public BaseType::Info
{
	public:
virtual	IWORD	output(std::ostream &ostrm, void *instance, t_serialMode mode);
virtual	void	input(std::istream &istrm, void *instance, t_serialMode mode);
virtual	String	print(void *instance);
virtual	void	construct(void *instance);
virtual	IWORD	iosize(void);
};

class FE_DL_EXPORT InfoVoid : public BaseType::Info
{
	public:
virtual	IWORD	output(std::ostream &ostrm, void *instance, t_serialMode mode);
virtual	void	input(std::istream &istrm, void *instance, t_serialMode mode);
virtual	String	print(void *instance);
virtual	void	construct(void *instance);
virtual	IWORD	iosize(void);
};


} /* namespace */

#endif /* __core_assertCore_h__ */
