import sys
import os
import imp
forge = sys.modules["forge"]

def setup(module):
	srcname = module.SrcTargetName("memory.cc")
	src = forge.FileTarget(srcname)

	expobjname = module.ObjTargetName("memory")
	expobj = forge.FileTarget(expobjname)
	expobj.AddDep(src)
	expobj.cppmap = { 'memory' : '-DFE_EXPORT_MEMORY' }

	impobjname = module.ObjTargetName("feImportMemory")
	impobj = forge.FileTarget(impobjname)
	impobj.AddDep(src)

	dll = module.DLL("feMemory",[])
	dll.AddDep(expobj)
	if forge.fe_os == 'FE_WIN32':
		lib = module.Lib("feImportMemory",[])
		lib.AddDep(impobj)

