import sys
forge = sys.modules["forge"]

def setup(module):
	srclist = [
		"platform.pmh",
		"debug",
		"DL_Loader",
		"DualString",
		"Exception",
		"Result",
		"String",
		"System",
		"SystemTicker"
		]

	if forge.fe_os == 'FE_WIN32':
		module.Lib("fePlatform",srclist)
	elif forge.fe_os == 'FE_OSX':
		lib = module.DLL("fePlatform",srclist)
		forge.deps("fePlatformLib", ["feMemoryLib"])
	else:
		module.DLL("fePlatform",srclist)

	module.Module('test')


