import sys
forge = sys.modules["forge"]

def setup(module):
	srclist = [	"plugin.pmh",
				"Component",
				"Library",
				"Master",
				"Registry",
				"assertPlugin" ]

	deplibs = forge.basiclibs

	lib = module.DLL("fePlugin",srclist)

	if forge.fe_os == 'FE_WIN32':
		forge.deps( ["fePluginLib"], deplibs )
	if forge.fe_os == 'FE_OSX':
		forge.deps( ["fePluginLib"], deplibs )

	module.Module('test')

	exe = module.Exe('inspect')
	forge.deps(["inspectExe"], deplibs)
	forge.deps(["inspectExe"], ["fePluginLib"])
